OpenNMS API 1.2.9

## org.opennms.netmgt.collectd
Class NodeInfo

    java.lang.Object
      org.opennms.netmgt.collectd.NodeInfo

final class NodeInfo
extends java.lang.Object

This class encapsulates all of the node-level data required by the SNMP data collector in order to successfully perform data collection for a scheduled primary SNMP interface.

Author:
  Mike Davidson , OpenNMS

Field Summary
`private java.util.List` `m_dsList`
`private int` `m_nodeId`
`private java.util.List` `m_oidList`
`private int` `m_primarySnmpIfIndex`

Constructor Summary
`NodeInfo(int nodeId, int primaryIfIndex)`

Method Summary
`java.util.List` `getDsList()`
`int` `getNodeId()`
`java.util.List` `getOidList()`
`int` `getPrimarySnmpIfIndex()`
`void` `setDsList(java.util.List dsList)`
`void` `setNodeId(int nodeId)`
`void` `setOidList(java.util.List oidList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_nodeId

    private int m_nodeId

### m_primarySnmpIfIndex

    private int m_primarySnmpIfIndex

### m_oidList

    private java.util.List m_oidList

### m_dsList

    private java.util.List m_dsList

Constructor Detail

### NodeInfo

    public NodeInfo(int nodeId,
                    int primaryIfIndex)

Method Detail

### getNodeId

    public int getNodeId()

### setNodeId

    public void setNodeId(int nodeId)

### getPrimarySnmpIfIndex

    public int getPrimarySnmpIfIndex()

### setDsList

    public void setDsList(java.util.List dsList)

### setOidList

    public void setOidList(java.util.List oidList)

### getDsList

    public java.util.List getDsList()

### getOidList

    public java.util.List getOidList()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.